# encoding: utf-8
require 'uri'

class CustomBulletinLink
  include Mongoid::Document
  include Mongoid::Timestamps
  
  field :url
  field :title, localize: true
    
  belongs_to :custom_bulletin

  before_validation :add_http
  
  #validates :url, :presence => true, :format => /\A(http|https):\/\/(([a-z0-9]+([\-\.]{1}[a-z0-9]+)*\.[a-z]{2,5})|((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?))(:[0-9]{1,5})?(\/.*)?\Z/i

  protected

  def add_http
    unless self.url[/^http:\/\//] || self.url[/^https:\/\//]
      self.url = 'http://' + self.url
    end
  end

end